<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductionCost extends Model
{
    use HasFactory;

    protected $fillable = ['*'];

    protected $table = 'production_costs';

    public function production()
    {
        return $this->belongsTo(Production::class, 'production_id');
    }

    public function cashtransaction()
    {
        return $this->belongsTo(Cashtransaction::class, 'cashtransaction_id');
    }
}

